* ASCII to SAS.sas - SAS program to convert ASCII files to SAS datasets ;

* Copy PUF files to local folder and replace path-to-PUF-files with your path ;
%let myPath = path-to-PUF-files ; 
libname PC "&myPath" ; 

proc format library=PC cntlout=PC ;
  value AGEDR
  .D = "Dont Know"
  .N = "Not Applicable"
  .R = "Refused"
    ;
  value AGEGROUP
  1 = "09-11"
  2 = "12-13"
  3 = "14-16"
  4 = "17-18"
  ;
  value ALC12M
  .M = "Not Applicable"
  1 = "None"
  2 = "1 to 2 times"
  3 = "3 to 5 times"
  4 = "6 to 9 times"
  5 = "10 to 19 times"
  6 = "20 to 39 times"
  7 = "40 or more times"
    ;
  value ALC30D
  .M = "Not Applicable"
  1 = "None"
  2 = "Once"
  3 = "Twice"
  4 = "3 to 5 times"
  5 = "6 to 9 times"
  6 = "10 or more times"
    ;
  value AVGRADES
  .M = "Not Applicable"
  1 = "A- to A"
  2 = "B- to B+"
  3 = "D  to C"
    ;
  value GEIORD3F
  .M = "Not Applicable"
  1 = "Less than 4 times per month"
  2 = "4 - 11 times per month"
  3 = "12 or more times per month"
    ;
  value GEIORDF
  .M = "Not Applicable"
  0 = "Less than once a month"
  1 = "1 - 4 times per month"
  2 = "4 - 11 times per month"
  3 = "12 or more times per month"
    ;
  value GENDERF
  1 = "Male"
  2 = "Female"
    ;
  value INCOME
  .M = "Not Applicable"
  1 = "< $25K"
  2 = "$25K - $75K"
  3 = "> $75K"
    ;
  value MONLYR
  .M = "Not Applicable"
    ;
  value NO0YES1F
  .N = "Not Applicable"
  0 = "No"
  1 = "Yes"
    ;
  value NO0YES1R
  .M = "Not Applicable"
  0 = "No"
  1 = "Yes"
    ;
  value NO1YES2F
  .N = "Not Applicable"
  1 = "No"
  2 = "Yes"
    ;
  value PEDUCF
  .M = "Not Applicable"
  1 = "Less than high school"
  2 = "High school graduate"
  3 = "Some college"
  4 = "College graduate"
    ;
  value RACEETH
  1 = "White or Other"
  2 = "African American"
  3 = "Hispanic"
    ;
  value RAEI3F
  .N = "Not Applicable"
  0 = "Less than 1 time per month"
  1 = "1-3 times per month"
  2 = "4 or more times per month"
    ;
  value RAEIF
  .N = "Not Applicable"
  0 = "Less than 1 time per month"
  1 = "1-3 times per month"
  2 = "4-11 times per month"
  3 = "12 or more times per month"
    ;
  value RDNONLYF
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
    ;
  value RELGF
  .M = "Not Applicable"
  1 = "Low"
  2 = "High"
    ;
  value RISKSCRF
  .M = "Not Applicable"
  1 = "Higher risk"
  2 = "Lower risk"
    ;
  value ROUNDF
  1 = "OCT '99 - JUN '01"
  2 = "JUL '01 - JUN '02"
  3 = "JUL '02 - JUN '03"
    ;
  value SENSEEKF
  .M = "Not Applicable"
  1 = "Higher sensation seeking"
  2 = "Lower sensation seeking"
    ;
  value TE_15F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Definitely no"
  2 = "Probably no"
  3 = "Probably yes"
  4 = "Definitely yes"
    ;
  value TE_175F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Extremely bad"
  2 = "Below Top"
  3 = "Above Middle"
  4 = "Middle"
  5 = "Below Middle"
  6 = "Above Bottom"
  7 = "Extremely good"
    ;
  value TE_176F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Extremely unenjoyable"
  2 = "Below Top"
  3 = "Above Middle"
  4 = "Middle"
  5 = "Below Middle"
  6 = "Above Bottom"
  7 = "Extremely enjoyable"
    ;
  value TE_20F
  1 = "Never used the Internet"
  2 = "Yes"
  3 = "No"
    ;
  value TE_23F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Strongly disagree"
  2 = "Disagree"
  3 = "Neither agree nor disagree"
  4 = "Agree"
  5 = "Strongly agree"
    ;
  value TE_24F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Strongly disapprove"
  2 = "Disapprove"
  3 = "Neither approve nor disapprove"
  4 = "Approve"
  5 = "Strongly approve"
    ;
  value TE_26F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "During the last 30 days"
  2 = "More than 30 days ago, within last 12M"
  3 = "More than 12 months ago"
    ;
  value TE_279F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Not at all"
  2 = "Less than 1 time a month"
  3 = "1 to 3 times a month"
  4 = "1 to 3 times a week"
  5 = "Daily or almost daily"
  6 = "More than 1 time a day"
    ;
  value TE_27F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Not at all"
  2 = "1 to 3 times a month"
  3 = "More than 3 times a month"
    ;
  value TE_28F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Not at all sure I can say no"
  2 = "Slightly sure I can say no"
  3 = "Somewhat sure I can say no"
  4 = "Mostly sure I can say no"
  5 = "Completely sure I can say no"
    ;
  value TE_29F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Not at all"
  2 = "Less than 1 time a month"
  3 = "1 to 3 times a month"
  4 = "1 to 3 times a week"
  5 = "Daily or almost daily"
  6 = "More than 1 time a day"
    ;
  value TE_31F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "None"
  2 = "Half-hour or less"
  3 = "About 1 hour"
  4 = "About 2 hours"
  5 = "About 3 hours"
  6 = "About 4 hours"
  7 = "About 5 hours"
  8 = "About 6 hours"
  9 = "7 hours or more"
    ;
  value TE_34F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "Once"
  3 = "Twice"
  4 = "3 times"
  5 = "4 or 5 times"
  6 = "6 or 7 times"
  7 = "More than 7 times"
    ;
  value TE_39F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Not at all"
  2 = "Once"
  3 = "Twice"
  4 = "3 or 4 times"
  5 = "5 or more times"
    ;
  value TE_3F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  0 = "Not seen movie in recent months"
  1 = "Not at all"
  2 = "Less than 1 time a month"
  3 = "1 to 3 times a month"
  4 = "1 to 3 times a week"
  5 = "Daily or almost daily"
  6 = "More than 1 time a day"
    ;
  value TE_40F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Not at all likely"
  2 = "Only slightly likely"
  3 = "Somewhat likely"
  4 = "Quite likely"
  5 = "Very likely"
    ;
  value TE_43F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "1 to 2 occasions"
  2 = "3 to 5 occasions"
  3 = "6 to 9 occasions"
  4 = "10 to 19 occasions"
  5 = "20 to 39 occasions"
  6 = "40 or more occasions"
    ;
  value TE_44F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "1 time"
  3 = "2 times"
  4 = "3 or 4 times"
  5 = "5 or more times"
    ;
  value TE_46F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "None"
  2 = "Less than 1 hour"
  3 = "1 to 2 hours"
  4 = "3 to 4 hours"
  5 = "5 to 6 hours"
  6 = "7 to 8 hours"
  7 = "9 to 10 hours"
  8 = "11 hours or more"
    ;
  value TE_47F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "A few times a year"
  3 = "Once or twice a month"
  4 = "At least once a week"
  5 = "Every day or almost every day"
    ;
  value TE_48F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "Seldom"
  3 = "About half the time"
  4 = "Often"
  5 = "Always or almost always"
    ;
  value TE_56F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never or almost never"
  2 = "Sometimes"
  3 = "About half the time"
  4 = "Often"
  5 = "Always or almost always"
    ;
  value TE_6F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "None"
  2 = "Once"
  3 = "Twice"
  4 = "3 to 5 times"
  5 = "6 to 9 times"
  6 = "10 or more times"
    ;
  value TE_75F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Very unlikely"
  2 = "Unlikely"
  3 = "Neither likely nor unlikely"
  4 = "Likely"
  5 = "Very likely"
    ;
  value TE_7F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "0 occasions"
  2 = "1 to 2 occasions"
  3 = "3 to 5 occasions"
  4 = "6 to 9 occasions"
  5 = "10 to 19 occasions"
  6 = "20 to 39 occasions"
  7 = "40 or more occasions"
    ;
  value TE_81F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "A few times a year"
  3 = "Once or twice a month"
  4 = "At least once a week"
  5 = "Every day or almost every day"
    ;
  value TE_82F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "I definitely will not"
  2 = "I probably will not"
  3 = "I probably will"
  4 = "I definitely will"
    ;
  value TE_86F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "No risk"
  2 = "Slight Risk"
  3 = "Moderate Risk"
  4 = "Great Risk"
    ;
  value TE_8F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "None"
  2 = "A few"
  3 = "Some"
  4 = "Most"
  5 = "All"
    ;
  value TE_92F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "Once"
  3 = "2 to 3 times"
  4 = "4 to 5 times"
  5 = "6 to 10 times"
  6 = "More than 10 times"
    ;
  value TE_94F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Very hard"
  2 = "Somewhat hard"
  3 = "Neither easy nor hard"
  4 = "Somewhat easy"
  5 = "Very easy"
    ;
  value TE_96F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never or almost never true"
  2 = "Sometimes true"
  3 = "True about half the time"
  4 = "Often true"
  5 = "Always or almost always true"
    ;
  value TE_97F
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Never"
  2 = "1 to 4 days"
  3 = "5 to 14 days"
  4 = "15 to 30 days"
    ;
  value TIN10AGE
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  99 = "Refused"
    ;
  value URBANF
  1 = "Urban"
  2 = "Suburban"
  3 = "Town or Rural"
    ;
  value YES1NO2F
  .D = "Don't Know"
  .N = "Not Applicable"
  .R = "Refused"
  1 = "Yes"
  2 = "No"
    ;
  value $YTYPEF
  "C" = "Child"
  "T" = "Teen"
    ;
run;
options fmtsearch=(PC) ;
%MACRO PUF (rn = );

  filename file&rn  "&myPath\round&rn..txt";

  data PC.ROUND&rn (drop = i) ;
    infile file&rn lrecl = 2500 truncover ;
    input 
      @0001 PUFID $6.
      @0007 ADTALKO 2.0
      @0009 ADTALKP 2.0
      @0011 URBANITY 2.0
      @0013 AGEGROUP 2.0
      @0015 RACEETH 2.0
      @0017 AVGRADES 2.0
      @0019 ALC12M 2.0
      @0021 ALC30D 2.0
      @0023 ALCEVER 2.0
      @0025 ALCUSAGE 2.0
      @0027 AMBITONU 2.0
      @0029 ANYWEEKL 2.0
      @0031 ATTITUD2 4.1
      @0035 ATTITUDU 4.1
      @0039 BELIEF2 6.3
      @0046 BELIEFS1 6.3
      @0052 BELIEFSU 6.3
      @0058 BOTHTALK 2.0
      @0060 BRAINDMU 2.0
      @0062 CIGEVER 2.0
      @0064 CIGUSE 2.0
      @0066 CINFUSTR 2.0
      @0068 CINHEAR 2.0
      @0070 CINOCHK 2.0
      @0072 CINOCKIL 2.0
      @0074 CLASEV 2.0
      @0076 CMJHEAR 2.0
      @0078 CMJOCGTM 2.0
      @0080 CMJOCHRD 2.0
      @0082 CMJOCLAZ 2.0
      @0084 CMJOCPOP 2.0
      @0086 CMJOCREG 2.0
      @0088 CMJOCSCL 2.0
      @0090 CMJOCSPD 2.0
      @0092 CMJOCUPS 2.0
      @0094 CTALKING 2.0
      @0096 DRUGUSE 2.0
      @0098 EFFICACY 4.1
      @0102 FDISAPRU 2.0
      @0104 FRNAWAY 2.0
      @0106 FRNBAD 2.0
      @0108 FRNMJOK 2.0
      @0110 FUTARMED 2.0
      @0112 FUTCOL2Y 2.0
      @0114 FUTCOL4Y 2.0
      @0116 FUTGRAD 2.0
      @0118 FUTTECH 2.0
      @0120 GENDER2 2.0
      @0122 HOWTO 2.0
      @0124 INEVER 2.0
      @0126 INH_OCC 2.0
      @0128 INMONTH 2.0
      @0130 INREG 2.0
      @0132 INTROUBL 2.0
      @0134 INYEAR 2.0
      @0136 MESSLIFU 2.0
      @0138 MJFUSU 2.0
      @0140 MJMONTH 2.0
      @0142 MJOFADL 2.0
      @0144 MJOFFRN 2.0
      @0146 MJOFKID 2.0
      @0148 MJOFSIB 2.0
      @0150 MJREG 2.0
      @0152 MJYEAR 2.0
      @0154 MORALU 2.0
      @0156 NOINTRG 2.0
      @0158 OCCEXPEC 2.0
      @0160 OFFERED1 2.0
      @0162 OFFEREDN 2.0
      @0164 PARTALKN 2.0
      @0166 PDISAPR2 2.0
      @0168 PDISAPRU 2.0
      @0170 PRACTICY 2.0
      @0172 RELGIMPT 2.0
      @0174 RESPECTU 2.0
      @0176 ROUND 2.0
      @0178 RULEEXP 2.0
      @0180 SENSEEK 6.3
      @0187 SENSEEKM 2.0
      @0189 TECSF 2.0
      @0191 TECSOT 2.0
      @0193 TESCOCAP 2.0
      @0195 TESPN30D 2.0
      @0197 TFRNAWAY 2.0
      @0199 TFRNBAD 2.0
      @0201 TFRNDRUG 2.0
      @0203 TFRNMJOK 2.0
      @0205 THEROCAP 2.0
      @0207 TIN10AGE 3.0
      @0210 TIN10T 2.0
      @0212 TIN12M 2.0
      @0214 TINMO 2.0
      @0216 TINMOAP 2.0
      @0218 TLAWDMGE 2.0
      @0220 TLAWFIGH 2.0
      @0222 TLAWTAKE 2.0
      @0224 TMJ10AGE 2.0
      @0226 TMJ10T 2.0
      @0228 TMJALONE 2.0
      @0230 TMJAMBAL 2.0
      @0232 TMJAMBRG 2.0
      @0234 TMJBADAL 2.0
      @0236 TMJBADRG 2.0
      @0238 TMJBLFAL 2.0
      @0240 TMJBLFRG 2.0
      @0242 TMJBTRTR 2.0
      @0244 TMJCLTR 2.0
      @0246 TMJCRLTR 2.0
      @0248 TMJDMGAL 2.0
      @0250 TMJDMGRG 2.0
      @0252 TMJENJAL 2.0
      @0254 TMJENJRG 2.0
      @0256 TMJENJTR 2.0
      @0258 TMJFRN 2.0
      @0260 TMJFRNAL 2.0
      @0262 TMJFRNRG 2.0
      @0264 TMJFUSAL 2.0
      @0266 TMJFUSRG 2.0
      @0268 TMJGTMAL 2.0
      @0270 TMJGTMRG 2.0
      @0272 TMJGTMTR 2.0
      @0274 TMJHANG 2.0
      @0276 TMJIMGAL 2.0
      @0278 TMJIMGRG 2.0
      @0280 TMJIMPAL 2.0
      @0282 TMJIMPRG 2.0
      @0284 TMJIMPTR 2.0
      @0286 TMJLAWTR 2.0
      @0288 TMJLIFAL 2.0
      @0290 TMJLIFRG 2.0
      @0292 TMJMO 2.0
      @0294 TMJMOAP 2.0
      @0296 TMJMOKID 2.0
      @0298 TMJOC 2.0
      @0300 TMJOCKID 2.0
      @0302 TMJOF30D 2.0
      @0304 TMJPARAL 2.0
      @0306 TMJPARRG 2.0
      @0308 TMJPARTY 2.0
      @0310 TMJRLXTR 2.0
      @0312 TMJRSPAL 2.0
      @0314 TMJRSPRG 2.0
      @0316 TMJSCHL 2.0
      @0318 TMJSCLAL 2.0
      @0320 TMJSCLRG 2.0
      @0322 TMJSTRTR 2.0
      @0324 TMJUPSTR 2.0
      @0326 TMTHOCAP 2.0
      @0328 TMTV30D 2.0
      @0330 TNET12M 2.0
      @0332 TPARKNOW 2.0
      @0334 TPARLECS 2.0
      @0336 TPARPNSH 2.0
      @0338 TPARUECS 2.0
      @0340 TREADMAG 2.0
      @0342 TRSKECOT 2.0
      @0344 TRSKINMO 2.0
      @0346 TRSKINOC 2.0
      @0348 TRSKMJMO 2.0
      @0350 TRSKMJOC 2.0
      @0352 TTLKPROB 2.0
      @0354 TUSEMAG 2.0
      @0356 TUSEMOV 2.0
      @0358 TUSETVM 2.0
      @0360 TUSETVN 2.0
      @0362 TUSETVT 2.0
      @0364 TVRADIO 2.0
      @0366 TVSTSITE 2.0
      @0368 TWEBAVD 2.0
      @0370 TWEBBAD 2.0
      @0372 TWEBGOOD 2.0
      @0374 TWEBUSE 2.0
      @0376 TWKDYRAD 2.0
      @0378 TWKNDRAD 2.0
      @0380 VISITANT 2.0
      @0382 VISITPRO 2.0
      @0384 WORSESCU 2.0
      @0386 Y1MEDIA 2.0
      @0388 YCIGAD 2.0
      @0390 YFAMARGU 2.0
      @0392 YFAMENJ 2.0
      @0394 YFAMTGTH 2.0
      @0396 YFRNCIG 2.0
      @0398 YFRNFGHT 2.0
      @0400 YFRNHANG 2.0
      @0402 YFRNTAKE 2.0
      @0404 YFRNTALK 2.0
      @0406 YFRNTRBL 2.0
      @0408 YINAGE 3.0
      @0411 YINEVER 2.0
      @0413 YINLAST 2.0
      @0415 YINOC 2.0
      @0417 YINOCAP 2.0
      @0419 YLKEXCIT 2.0
      @0421 YLKEXPER 2.0
      @0423 YLKEXPLR 2.0
      @0425 YLKFRGHT 2.0
      @0427 YMJ12M 2.0
      @0429 YMJAGE 3.0
      @0432 YMJBADTR 2.0
      @0434 YMJEVER 2.0
      @0436 YMJFRNTR 2.0
      @0438 YMJFUSTR 2.0
      @0440 YMJLAST 2.0
      @0442 YMJOCAP 2.0
      @0444 YMJPARTR 2.0
      @0446 YMOVIE 2.0
      @0448 YNONUSER 2.0
      @0450 YOCCUSER 2.0
      @0452 YPAPMAG 2.0
      @0454 YPARDOES 2.0
      @0456 YPARPLAN 2.0
      @0458 YPUBLIC 2.0
      @0460 YTLKQUES 2.0
      @0462 YTYPE $1.
      @0463 YWANTFRN 2.0
      @0465 YWANTPAR 2.0
      @0467 YWKDYTV 2.0
      @0469 YWKNDTV 2.0
      @0471 INBELIEF 9.3
      @0480 MJATTBEL 9.3
      @0489 MJEFFIC 9.3
      @0498 MJNORM 9.3
      @0508 RISKSCR 2.0
      @0510 YGEI 6.1
      @0516 YGEIORD 2.0
      @0518 YGEIORD3 2.0
      @0520 YRAEI 2.0
      @0522 YRAEI3 2.0
      @0524 NTVPLAY 2.0
      @0526 NTVOK 2.0
      @0528 YALLPLAT 5.1
      @0533 YMEANEVL 9.3
      @0542 NRAPLAY 2.0
      @0544 NRADOK 3.0
      @0547 RALLPLAT 5.1
      @0552 EXPMISS 2.0
      @0554 TALKDRUG 2.0
      @0556 PCONVER1 2.0
      @0558 PCONVER2 2.0
      @0560 PCONVER3 2.0
      @0562 PCONVER4 2.0
      @0564 DUALPAR 2.0
      @0566 PEDUC 2.0
      @0568 INCOME 2.0
      @0570 WEIGHT 9.3
      @0580 REPLW1 9.3
      @0589 REPLW2 9.3
      @0598 REPLW3 9.3
      @0608 REPLW4 9.3
      @0617 REPLW5 9.3
      @0626 REPLW6 9.3
      @0635 REPLW7 9.3
      @0645 REPLW8 9.3
      @0654 REPLW9 9.3
      @0663 REPLW10 9.3
      @0673 REPLW11 9.3
      @0682 REPLW12 9.3
      @0691 REPLW13 9.3
      @0700 REPLW14 9.3
      @0710 REPLW15 9.3
      @0719 REPLW16 9.3
      @0728 REPLW17 9.3
      @0738 REPLW18 9.3
      @0747 REPLW19 9.3
      @0756 REPLW20 9.3
      @0766 REPLW21 9.3
      @0775 REPLW22 9.3
      @0784 REPLW23 9.3
      @0793 REPLW24 9.3
      @0803 REPLW25 9.3
      @0812 REPLW26 9.3
      @0821 REPLW27 9.3
      @0831 REPLW28 9.3
      @0840 REPLW29 9.3
      @0849 REPLW30 9.3
      @0859 REPLW31 9.3
      @0868 REPLW32 9.3
      @0877 REPLW33 9.3
      @0886 REPLW34 9.3
      @0896 REPLW35 9.3
      @0905 REPLW36 9.3
      @0914 REPLW37 9.3
      @0924 REPLW38 9.3
      @0933 REPLW39 9.3
      @0942 REPLW40 9.3
      @0952 REPLW41 9.3
      @0961 REPLW42 9.3
      @0970 REPLW43 9.3
      @0979 REPLW44 9.3
      @0989 REPLW45 9.3
      @0998 REPLW46 9.3
      @1007 REPLW47 9.3
      @1017 REPLW48 9.3
      @1026 REPLW49 9.3
      @1035 REPLW50 9.3
      @1045 REPLW51 9.3
      @1054 REPLW52 9.3
      @1063 REPLW53 9.3
      @1072 REPLW54 9.3
      @1082 REPLW55 9.3
      @1091 REPLW56 9.3
      @1100 REPLW57 9.3
      @1110 REPLW58 9.3
      @1119 REPLW59 9.3
      @1128 REPLW60 9.3
      @1138 REPLW61 9.3
      @1147 REPLW62 9.3
      @1156 REPLW63 9.3
      @1165 REPLW64 9.3
      @1175 REPLW65 9.3
      @1184 REPLW66 9.3
      @1193 REPLW67 9.3
      @1203 REPLW68 9.3
      @1212 REPLW69 9.3
      @1221 REPLW70 9.3
      @1231 REPLW71 9.3
      @1240 REPLW72 9.3
      @1249 REPLW73 9.3
      @1258 REPLW74 9.3
      @1268 REPLW75 9.3
      @1277 REPLW76 9.3
      @1286 REPLW77 9.3
      @1296 REPLW78 9.3
      @1305 REPLW79 9.3
      @1314 REPLW80 9.3
      @1324 REPLW81 9.3
      @1333 REPLW82 9.3
      @1342 REPLW83 9.3
      @1351 REPLW84 9.3
      @1361 REPLW85 9.3
      @1370 REPLW86 9.3
      @1379 REPLW87 9.3
      @1389 REPLW88 9.3
      @1398 REPLW89 9.3
      @1407 REPLW90 9.3
      @1417 REPLW91 9.3
      @1426 REPLW92 9.3
      @1435 REPLW93 9.3
      @1444 REPLW94 9.3
      @1454 REPLW95 9.3
      @1463 REPLW96 9.3
      @1472 REPLW97 9.3
      @1482 REPLW98 9.3
      @1491 REPLW99 9.3
      @1500 REPLW100 9.3
    ;
      

    label 
      ADTALKO  = "D14(T)   TALKED WITH NON-PARENT RE ANTI-DRUG ADS "
      ADTALKP  = "D14(T,C)   TALKED WITH PARENTS RE ANTI-DRUG ADS "
      AGEGROUP = "A1(T,C)   YOUTH AGE AT INTERVIEW "
      ALC12M   = "B6(T,C), B8(T,C), B9(T,C), B10(C)   FREQ DRUNK IN LAST 12 MONTHS "
      ALC30D   = "B6(T), B8(T), B10(T)   FREQ HAD 5 DRINKS IN ROW IN LAST 30 DAYS "
      ALCEVER  = "B6(T,C)   EVER DRUNK ALCOHOLIC BEVERAGE "
      ALCUSAGE = "B6(T,C), B8(T,C)   DRANK ALCOHOL IN LAST 12 MONTHS "
      AMBITONU = "C3b(T)   REG MARIJUANA USE: LOSE AMBITION "
      ANYWEEKL = "D9(T)   NOTICED STORY AT LEAST ONCE "
      ATTITUD2 = "C4b(T), C5b(T)   ATTITUDES: MARIJUANA REGULAR USE "
      ATTITUDU = "C4b(T), C5b(T)   ATTITUDES: MARIJUANA REGULAR USE "
      AVGRADES = "A12(T)   AVERAGE GRADE IN SCHOOL "
      BELIEF2  = "C2(C), C3a(T)   BELIEFS ABOUT MJ OCCASIONAL USE "
      BELIEFS1 = "C3b(T)   BELIEFS ABOUT MJ REGULAR USE "
      BELIEFSU = "C3b(T)   BELIEFS ABOUT MJ REGULAR USE "
      BOTHTALK = "D4(T,C), D7(T,C)   TALKED W PARENTS OR FRIENDS 4 OR MORE TIMES "
      BRAINDMU = "C3b(T)   REG MARIJUANA USE: DAMAGE BRAIN "
      CIGEVER  = "B1(T,C)   EVER SMOKED CIGARETTE "
      CIGUSE   = "B1(T,C), B3(T), B4(C)   SMOKED CIGARETTE IN LAST 12 MONTHS "
      CINFUSTR = "C18(C)   HOW MANY FRIENDS USED INH OCCAS IN LAST 12M "
      CINHEAR  = "B16(C)   EVER HEARD OF INHALANTS "
      CINOCHK  = "C12e(C)   USING INH OCCAS OVER NEXT 12M GET HOOKED "
      CINOCKIL = "C12h(C)   USING INH OCCAS OVER NEXT 12M KILL "
      CLASEV   = "D32(C), D32a(T) - D32c(T), D33a(C) - D33c(C)   ATTENDED SCHOOL DRUG PROGRAM "
      CMJHEAR  = "B11(C)   EVER HEARD OF MARIJUANA "
      CMJOCGTM = "C2f(C)   USING MJ OCCAS MAKE HAVE A GOOD TIME "
      CMJOCHRD = "C2b(C)   USING MJ OCCAS MAKE GO ON TO HARDER DRUGS "
      CMJOCLAZ = "C2g(C)   USING MJ OCCAS MAKE LAZY "
      CMJOCPOP = "C2a(C)   USING MJ OCCAS MAKE MORE POPULAR "
      CMJOCREG = "C2d(C)   USING MJ OCCAS MAKE START USING MJ REG "
      CMJOCSCL = "C2h(C)   USING MJ OCCAS MAKE DO POORLY IN SCHOOL "
      CMJOCSPD = "C2e(C)   USING MJ OCCAS MAKE ACT STUPIDLY "
      CMJOCUPS = "C2c(C)   USING MJ OCCAS UPSET PARENTS "
      CTALKING = "D4(T,C), D6(T,C)   YOUTH TALKING BEHAVIOR "
      DRUGUSE  = "D4(T,C), D6(T,C)   TALKED IN LAST 6M: DRUG USE IN MOVIES "
      DUALPAR  = "H5(P)   DUAL PARENT "
      EFFICACY = "C9(T)   HOW SURE CAN REFUSE MARIJUANA "
      EXPMISS  = "EXPOSURE INDEX IS MISSING "
      FDISAPRU = "C7b(T)   REG MARIJUANA USE: FRIENDS DISAPPROVE "
      FRNAWAY  = "D7(T,C), D8(T)   TALKED TO FRIEND RE HOW TO AVOID DRUGS "
      FRNBAD   = "D7(T,C), D8(T)   TALKED TO FRIEND RE BAD THINGS THAT HAPPEN "
      FRNMJOK  = "D7(T,C), D8(T)   TALKED TO FRIEND RE MJ NOT SO BAD "
      FUTARMED = "A16(T)   PLANS FOR FUTURE: ARMED FORCES "
      FUTCOL2Y = "A16(T)   PLANS FOR FUTURE: 2-YEAR COLLEGE "
      FUTCOL4Y = "A16(T)   PLANS FOR FUTURE: 4-YEAR COLLEGE "
      FUTGRAD  = "A16(T)   PLANS FOR FUTURE: GRADUATE SCHOOL "
      FUTTECH  = "A16(T)   PLANS FOR FUTURE: TECHNICAL SCHOOL "
      GENDER2  = "YOUTH GENDER (IDENTIFIED AT ROSTER) "
      HOWTO    = "D4(T,C), D6(T,C)   TALKED IN LAST 6M: HOW TO AVOID DRUGS "
      INBELIEF = "ANTI-INHALANT BELIEF INDEX "
      INCOME   = "H13   COMBINED HOUSEHOLD TOTAL YEARLY INCOME "
      INEVER   = "B16(C), B17(T,C)   EVER USED INHALANT "
      INH_OCC  = "B17(T,C), B19(T,C), B20(T)   INHALANTS OCCASIONAL USER LAST 12M "
      INMONTH  = "B16(C), B17(T,C), B19(T,C)   USED INHALANT IN PAST MONTH "
      INREG    = "B17(T,C), B19(T,C), B20(T)   USED INHALANT REGULARLY LAST 12M "
      INTROUBL = "D4(T,C), D6(T,C)   TALKED IN LAST 6M: OTHERS IN TROUBLE "
      INYEAR   = "B16(C), B17(T,C), B19(T,C)   USED INHALANT IN PAST YEAR "
      MESSLIFU = "C3b(T)   REG MARIJUANA USE: MESS UP LIFE "
      MJATTBEL = "ANTI-MJ BELIEF/ATTITUDE INDEX "
      MJEFFIC  = "MJ REFUSAL SELF-EFFICACY INDEX "
      MJFUSU   = "C10b(T)   FRIENDS USED MJ REGULARLY IN LAST 12 MONTHS "
      MJMONTH  = "B11(T,C) - B14(C)   USED MARIJUANA IN PAST MONTH "
      MJNORM   = "MJ SOCIAL NORM INDEX "
      MJOFADL  = "C13(T) , C9(C)   OFFERED MARIJUANA: ADULT "
      MJOFFRN  = "C13(T) , C9(C)   OFFERED MARIJUANA: FRIENDS "
      MJOFKID  = "C13(T) , C9(C)   OFFERED MARIJUANA: OTHER KIDS "
      MJOFSIB  = "C13(T) , C9(C)   OFFERED MARIJUANA: BROTHER OR SISTER "
      MJREG    = "B11(T,C) - B14(T,C), B15(C)   USED MJ REGULARLY LAST 12M "
      MJYEAR   = "B11(T,C) - B14(C)   USED MARIJUANA IN PAST YEAR "
      MORALU   = "C3b(T)   REG MARIJUANA USE: AGAINST BELIEFS "
      NOINTRG  = "C1(T,C),C2(T)   DEFINITELY NOT USE MJ REG OVER NEXT 12 MONTHS "
      NRADOK   = "NUMBER ADS USED IN RADIO SCORE "
      NRAPLAY  = "NUMBER RADIO ADS SHOWN TO YOUTH "
      NTVOK    = "NUMBER ADS USED IN SPECIFIC EXPOSURE INDEX "
      NTVPLAY  = "NUMBER TV ADS SHOWN TO YOUTH "
      OCCEXPEC = "A16(T)   COLLEGE PLANS "
      OFFERED1 = "C9(C), C13(T), C14(T)   RECEIVED OFFERS OF MARIJUANA "
      OFFEREDN = "B11(C), C9(C), C13(T)   NEVER OFFERED MARIJUANA "
      PARTALKN = "D4(T)   NO DRUG CONVERSATION W PARENT IN LAST 6M "
      PCONVER1 = "B2(P), B3b(P)   TALKED IN LAST 6M: FAMILY RULES "
      PCONVER2 = "B2(P), B3c(P)   TALKED IN LAST 6M: HOW TO AVOID DRUGS "
      PCONVER3 = "B2(P), B3f(P)   TALKED IN LAST 6M: DRUG USE IN MOVIES "
      PCONVER4 = "B2(P), B3g(P)   TALKED IN LAST 6M: OTHERS IN TROUBLE "
      PDISAPR2 = "C8b(T)   REG MARIJUANA USE: PARENTS DISAPPROVE "
      PDISAPRU = "C8b(T)   REG MARIJUANA USE: PARENTS DISAPPROVE "
      PEDUC    = "H6(P)   PARENT EDUCATION "
      PRACTICY = "C24(C), C25(C), C30(T), C35(T)   PARENT MONITORING BEHAVIOR "
      PUFID    = "PUF RECORD IDENTIFIER "
      RACEETH  = "A2(T,C), A3(T), A4(T), A5(T)   RACE/ETHNICITY "
      RALLPLAT = "TOTAL RADIO AD EXPOSURE SCORE "
      RELGIMPT = "A18(T)   IMPORTANCE OF RELIGION "
      REPLW1   = "NAT YOUTH RAKED REPLICATE WEIGHT 1 "
      REPLW10  = "NAT YOUTH RAKED REPLICATE WEIGHT 10 "
      REPLW100 = "NAT YOUTH RAKED REPLICATE WEIGHT 100 "
      REPLW11  = "NAT YOUTH RAKED REPLICATE WEIGHT 11 "
      REPLW12  = "NAT YOUTH RAKED REPLICATE WEIGHT 12 "
      REPLW13  = "NAT YOUTH RAKED REPLICATE WEIGHT 13 "
      REPLW14  = "NAT YOUTH RAKED REPLICATE WEIGHT 14 "
      REPLW15  = "NAT YOUTH RAKED REPLICATE WEIGHT 15 "
      REPLW16  = "NAT YOUTH RAKED REPLICATE WEIGHT 16 "
      REPLW17  = "NAT YOUTH RAKED REPLICATE WEIGHT 17 "
      REPLW18  = "NAT YOUTH RAKED REPLICATE WEIGHT 18 "
      REPLW19  = "NAT YOUTH RAKED REPLICATE WEIGHT 19 "
      REPLW2   = "NAT YOUTH RAKED REPLICATE WEIGHT 2 "
      REPLW20  = "NAT YOUTH RAKED REPLICATE WEIGHT 20 "
      REPLW21  = "NAT YOUTH RAKED REPLICATE WEIGHT 21 "
      REPLW22  = "NAT YOUTH RAKED REPLICATE WEIGHT 22 "
      REPLW23  = "NAT YOUTH RAKED REPLICATE WEIGHT 23 "
      REPLW24  = "NAT YOUTH RAKED REPLICATE WEIGHT 24 "
      REPLW25  = "NAT YOUTH RAKED REPLICATE WEIGHT 25 "
      REPLW26  = "NAT YOUTH RAKED REPLICATE WEIGHT 26 "
      REPLW27  = "NAT YOUTH RAKED REPLICATE WEIGHT 27 "
      REPLW28  = "NAT YOUTH RAKED REPLICATE WEIGHT 28 "
      REPLW29  = "NAT YOUTH RAKED REPLICATE WEIGHT 29 "
      REPLW3   = "NAT YOUTH RAKED REPLICATE WEIGHT 3 "
      REPLW30  = "NAT YOUTH RAKED REPLICATE WEIGHT 30 "
      REPLW31  = "NAT YOUTH RAKED REPLICATE WEIGHT 31 "
      REPLW32  = "NAT YOUTH RAKED REPLICATE WEIGHT 32 "
      REPLW33  = "NAT YOUTH RAKED REPLICATE WEIGHT 33 "
      REPLW34  = "NAT YOUTH RAKED REPLICATE WEIGHT 34 "
      REPLW35  = "NAT YOUTH RAKED REPLICATE WEIGHT 35 "
      REPLW36  = "NAT YOUTH RAKED REPLICATE WEIGHT 36 "
      REPLW37  = "NAT YOUTH RAKED REPLICATE WEIGHT 37 "
      REPLW38  = "NAT YOUTH RAKED REPLICATE WEIGHT 38 "
      REPLW39  = "NAT YOUTH RAKED REPLICATE WEIGHT 39 "
      REPLW4   = "NAT YOUTH RAKED REPLICATE WEIGHT 4 "
      REPLW40  = "NAT YOUTH RAKED REPLICATE WEIGHT 40 "
      REPLW41  = "NAT YOUTH RAKED REPLICATE WEIGHT 41 "
      REPLW42  = "NAT YOUTH RAKED REPLICATE WEIGHT 42 "
      REPLW43  = "NAT YOUTH RAKED REPLICATE WEIGHT 43 "
      REPLW44  = "NAT YOUTH RAKED REPLICATE WEIGHT 44 "
      REPLW45  = "NAT YOUTH RAKED REPLICATE WEIGHT 45 "
      REPLW46  = "NAT YOUTH RAKED REPLICATE WEIGHT 46 "
      REPLW47  = "NAT YOUTH RAKED REPLICATE WEIGHT 47 "
      REPLW48  = "NAT YOUTH RAKED REPLICATE WEIGHT 48 "
      REPLW49  = "NAT YOUTH RAKED REPLICATE WEIGHT 49 "
      REPLW5   = "NAT YOUTH RAKED REPLICATE WEIGHT 5 "
      REPLW50  = "NAT YOUTH RAKED REPLICATE WEIGHT 50 "
      REPLW51  = "NAT YOUTH RAKED REPLICATE WEIGHT 51 "
      REPLW52  = "NAT YOUTH RAKED REPLICATE WEIGHT 52 "
      REPLW53  = "NAT YOUTH RAKED REPLICATE WEIGHT 53 "
      REPLW54  = "NAT YOUTH RAKED REPLICATE WEIGHT 54 "
      REPLW55  = "NAT YOUTH RAKED REPLICATE WEIGHT 55 "
      REPLW56  = "NAT YOUTH RAKED REPLICATE WEIGHT 56 "
      REPLW57  = "NAT YOUTH RAKED REPLICATE WEIGHT 57 "
      REPLW58  = "NAT YOUTH RAKED REPLICATE WEIGHT 58 "
      REPLW59  = "NAT YOUTH RAKED REPLICATE WEIGHT 59 "
      REPLW6   = "NAT YOUTH RAKED REPLICATE WEIGHT 6 "
      REPLW60  = "NAT YOUTH RAKED REPLICATE WEIGHT 60 "
      REPLW61  = "NAT YOUTH RAKED REPLICATE WEIGHT 61 "
      REPLW62  = "NAT YOUTH RAKED REPLICATE WEIGHT 62 "
      REPLW63  = "NAT YOUTH RAKED REPLICATE WEIGHT 63 "
      REPLW64  = "NAT YOUTH RAKED REPLICATE WEIGHT 64 "
      REPLW65  = "NAT YOUTH RAKED REPLICATE WEIGHT 65 "
      REPLW66  = "NAT YOUTH RAKED REPLICATE WEIGHT 66 "
      REPLW67  = "NAT YOUTH RAKED REPLICATE WEIGHT 67 "
      REPLW68  = "NAT YOUTH RAKED REPLICATE WEIGHT 68 "
      REPLW69  = "NAT YOUTH RAKED REPLICATE WEIGHT 69 "
      REPLW7   = "NAT YOUTH RAKED REPLICATE WEIGHT 7 "
      REPLW70  = "NAT YOUTH RAKED REPLICATE WEIGHT 70 "
      REPLW71  = "NAT YOUTH RAKED REPLICATE WEIGHT 71 "
      REPLW72  = "NAT YOUTH RAKED REPLICATE WEIGHT 72 "
      REPLW73  = "NAT YOUTH RAKED REPLICATE WEIGHT 73 "
      REPLW74  = "NAT YOUTH RAKED REPLICATE WEIGHT 74 "
      REPLW75  = "NAT YOUTH RAKED REPLICATE WEIGHT 75 "
      REPLW76  = "NAT YOUTH RAKED REPLICATE WEIGHT 76 "
      REPLW77  = "NAT YOUTH RAKED REPLICATE WEIGHT 77 "
      REPLW78  = "NAT YOUTH RAKED REPLICATE WEIGHT 78 "
      REPLW79  = "NAT YOUTH RAKED REPLICATE WEIGHT 79 "
      REPLW8   = "NAT YOUTH RAKED REPLICATE WEIGHT 8 "
      REPLW80  = "NAT YOUTH RAKED REPLICATE WEIGHT 80 "
      REPLW81  = "NAT YOUTH RAKED REPLICATE WEIGHT 81 "
      REPLW82  = "NAT YOUTH RAKED REPLICATE WEIGHT 82 "
      REPLW83  = "NAT YOUTH RAKED REPLICATE WEIGHT 83 "
      REPLW84  = "NAT YOUTH RAKED REPLICATE WEIGHT 84 "
      REPLW85  = "NAT YOUTH RAKED REPLICATE WEIGHT 85 "
      REPLW86  = "NAT YOUTH RAKED REPLICATE WEIGHT 86 "
      REPLW87  = "NAT YOUTH RAKED REPLICATE WEIGHT 87 "
      REPLW88  = "NAT YOUTH RAKED REPLICATE WEIGHT 88 "
      REPLW89  = "NAT YOUTH RAKED REPLICATE WEIGHT 89 "
      REPLW9   = "NAT YOUTH RAKED REPLICATE WEIGHT 9 "
      REPLW90  = "NAT YOUTH RAKED REPLICATE WEIGHT 90 "
      REPLW91  = "NAT YOUTH RAKED REPLICATE WEIGHT 91 "
      REPLW92  = "NAT YOUTH RAKED REPLICATE WEIGHT 92 "
      REPLW93  = "NAT YOUTH RAKED REPLICATE WEIGHT 93 "
      REPLW94  = "NAT YOUTH RAKED REPLICATE WEIGHT 94 "
      REPLW95  = "NAT YOUTH RAKED REPLICATE WEIGHT 95 "
      REPLW96  = "NAT YOUTH RAKED REPLICATE WEIGHT 96 "
      REPLW97  = "NAT YOUTH RAKED REPLICATE WEIGHT 97 "
      REPLW98  = "NAT YOUTH RAKED REPLICATE WEIGHT 98 "
      REPLW99  = "NAT YOUTH RAKED REPLICATE WEIGHT 99 "
      RESPECTU = "C3b(T)   REG MARIJUANA USE: LOSE RESPECT "
      RISKSCR  = "RISK GROUP "
      ROUND    = "DATA COLLECTION ROUND NUMBER "
      RULEEXP  = "D4(T,C), D6(T,C)   TALKED IN LAST 6M: FAMILY RULES "
      SENSEEK  = "C28(C), C34(T)   SENSATION SEEKING TENDENCIES "
      SENSEEKM = "C28(C), C34(T)   SENSATION SEEK MEDIAN SPLIT "
      TALKDRUG = "B2(P)   NO DRUG CONVERSATION W CHILD IN LAST 6M "
      TECSF    = "C18(T)   HOW CLOSE FRIENDS FEEL IF USE ECSTASY OCCAS "
      TECSOT   = "C17(T)   USE ECSTASY OCCAS OVER NEXT 12 MONTHS "
      TESCOCAP = "C33g(T)   APPROVE OF PEOPLE USING ECSTASY ONCE "
      TESPN30D = "A28(T)   DAYS WATCHED ESPN IN LAST 30 DAYS "
      TFRNAWAY = "D8c(T)   TALKED TO FRIEND RE HOW TO AVOID DRUGS "
      TFRNBAD  = "D8e(T)   TALKED TO FRIEND RE BAD THINGS THAT HAPPEN "
      TFRNDRUG = "C32(T)   THINK CLOSE FRIENDS USE ILLICIT DRUGS "
      TFRNMJOK = "D8b(T)   TALKED TO FRIEND RE MJ NOT SO BAD "
      THEROCAP = "C33f(T)   APPROVE OF PEOPLE USING HEROIN ONCE "
      TIN10AGE = "B22(T)   AGE 1ST USED INH 10 OR MORE TIMES IN ANY 12 MONTHS "
      TIN10T   = "B21(T)   USED INHALANTS 10 OR MORE TIMES IN ANY 12 MONTHS "
      TIN12M   = "B20(T)   FREQ USED INHALANT IN LAST 12 MONTHS "
      TINMO    = "C16(T)   USE INHALANTS MONTHLY OVER NEXT 12 MONTHS "
      TINMOAP  = "C33d(T)   APPROVE OF PEOPLE USING INH MONTHLY "
      TLAWDMGE = "C34ac(T)   DAMAGED PROPERTY IN LAST 12 MONTHS "
      TLAWFIGH = "C34aa(T)   GOT INTO FIGHT IN LAST 12 MONTHS "
      TLAWTAKE = "C34ab(T)   STOLE ITEM UNDER $50 IN LAST 12 MONTHS "
      TMJ10AGE = "B16(T)   AGE 1ST USED MJ 10 OR MORE TIMES IN ANY 12 MONTHS "
      TMJ10T   = "B15(T)   USED MJ 10 OR MORE TIMES IN ANY 12 MONTHS "
      TMJALONE = "C9c(T)   SAY NO TO MJ IF HOME ALONE AND SAD "
      TMJAMBAL = "C3ce(T)   LOSE AMBITION IF USE MJ MONTHLY "
      TMJAMBRG = "C3be(T)   LOSE AMBITION IF USE MJ MONTHLY "
      TMJBADAL = "C4c(T)   USE MARIJUANA MONTHLY OVER NEXT 12 MO "
      TMJBADRG = "C4b(T)   USE MARIJUANA MONTHLY OVER NEXT 12 MO "
      TMJBLFAL = "C3cd(T)   ACT AGAINST BELIEFS IF USE MJ MONTHLY "
      TMJBLFRG = "C3bd(T)   ACT AGAINST BELIEFS IF USE MJ MONTHLY "
      TMJBTRTR = "C3ag(T)   FEEL BETTER IF USE MJ OCCAS "
      TMJCLTR  = "C3ah(T)   BE LIKE COOLEST KIDS IF USE MJ OCCAS "
      TMJCRLTR = "C3ac(T)   LOSE CONTROL OF SELF IF USE MJ OCCAS "
      TMJDMGAL = "C3ca(T)   DAMAGE BRAIN IF USE MJ MONTHLY "
      TMJDMGRG = "C3ba(T)   DAMAGE BRAIN IF USE MJ MONTHLY "
      TMJENJAL = "C5c(T)   USE MJ REG OVER NEXT 12 MONTHS ENJOYABLE "
      TMJENJRG = "C5b(T)   USE MJ REG OVER NEXT 12 MONTHS ENJOYABLE "
      TMJENJTR = "C5a(T)   USE MJ OCCAS OVER NEXT 12 MONTHS ENJOYABLE "
      TMJFRN   = "C9b(T)   SAY NO TO MJ OFFERED BY FRIEND "
      TMJFRNAL = "C7c(T)   HOW CLOSE FRIENDS FEEL IF USE MJ MONTHLY "
      TMJFRNRG = "C7b(T)   HOW CLOSE FRIENDS FEEL IF USE MJ MONTHLY "
      TMJFUSAL = "C10c(T)   HOW MANY FRIENDS USED MJ REG IN LAST 12 MONTHS "
      TMJFUSRG = "C10b(T)   HOW MANY FRIENDS USED MJ REG IN LAST 12 MONTHS "
      TMJGTMAL = "C3cg(T)   HAVE GOOD TIME W/ FRIENDS IF USE MJ MONTHLY "
      TMJGTMRG = "C3bg(T)   HAVE GOOD TIME W/ FRIENDS IF USE MJ MONTHLY "
      TMJGTMTR = "C3af(T)   HAVE GOOD TIME W/ FRIENDS IF USE MJ OCCAS "
      TMJHANG  = "C9e(T)   SAY NO TO MJ AT FRIENDS HOUSE UNSUPERVISED "
      TMJIMGAL = "C3ch(T)   MORE IMAGINATIVE IF USE MJ MONTHLY "
      TMJIMGRG = "C3bh(T)   MORE IMAGINATIVE IF USE MJ MONTHLY "
      TMJIMPAL = "C6c(T)   HOW PEOPLE FEEL IF USE MJ MONTHLY "
      TMJIMPRG = "C6b(T)   HOW PEOPLE FEEL IF USE MJ MONTHLY "
      TMJIMPTR = "C6a(T)   HOW PEOPLE FEEL IF USE MJ OCCAS "
      TMJLAWTR = "C3ab(T)   GET IN TROUBLE W/ LAW IF USE MJ OCCAS "
      TMJLIFAL = "C3cb(T)   MESS UP LIFE IF USE MJ MONTHLY "
      TMJLIFRG = "C3bb(T)   MESS UP LIFE IF USE MJ MONTHLY "
      TMJMO    = "C2(T)   USE MARIJUANA MONTHLY OVER NEXT 12 MONTHS "
      TMJMOAP  = "C33b(T)   APPROVE OF PEOPLE USING MJ MONTHLY "
      TMJMOKID = "C12(T)   HOW MANY KIDS USED MJ REG IN LAST 12 MONTHS "
      TMJOC    = "C1(T)   USE MARIJUANA OCCAS OVER NEXT 12 MONTHS "
      TMJOCKID = "C11(T)   HOW MANY KIDS USED MJ OCCAS IN LAST 12 MONTHS "
      TMJOF30D = "C14(T)   FREQ OFFERED MJ IN LAST 30 DAYS "
      TMJPARAL = "C8c(T)   HOW PARENTS FEEL IF USE MJ MONTHLY "
      TMJPARRG = "C8b(T)   HOW PARENTS FEEL IF USE MJ MONTHLY "
      TMJPARTY = "C9a(T)   SAY NO TO MJ AT PARTY "
      TMJRLXTR = "C3ae(T)   MORE RELAXED IF USE MJ OCCAS "
      TMJRSPAL = "C3cf(T)   LOSE FRIENDS RESPECT IF USE MJ MONTHLY "
      TMJRSPRG = "C3bf(T)   LOSE FRIENDS RESPECT IF USE MJ MONTHLY "
      TMJSCHL  = "C9d(T)   SAY NO TO MJ OFFERED AT SCHOOL "
      TMJSCLAL = "C3cc(T)   DO WORSE IN SCHOOL IF USE MJ MONTHLY "
      TMJSCLRG = "C3bc(T)   DO WORSE IN SCHOOL IF USE MJ MONTHLY "
      TMJSTRTR = "C3ad(T)   START USING STRONGER DRUGS IF USE MJ OCCAS "
      TMJUPSTR = "C3aa(T)   UPSET PARENTS IF USE MJ OCCAS "
      TMTHOCAP = "C33e(T)   APPROVE OF PEOPLE USING METH ONCE "
      TMTV30D  = "A27(T)   DAYS WATCHED MTV IN LAST 30 DAYS "
      TNET12M  = "D27(T)   FREQ USED INTERNET IN LAST 6 MONTHS "
      TPARKNOW = "C38(T)   HOW LIKELY PARENT KNOW IF USED DRUGS "
      TPARLECS = "B22b(T)   HOW LONG SINCE LAST USED ECSTASY "
      TPARPNSH = "C39(T)   HOW LIKELY PARENT PUNISH IF KNOW USED DRUGS "
      TPARUECS = "B22a(T)   EVER USED ECSTASY "
      TREADMAG = "A24(T)   FREQUENCY READ MAGAZINES "
      TRSKECOT = "C33ae(T)   THINK PEOPLE RISK HARM IF USE ECSTASY ONCE "
      TRSKINMO = "C33ad(T)   THINK PEOPLE RISK HARM IF USE INH MONTHLY "
      TRSKINOC = "C33ac(T)   THINK PEOPLE RISK HARM IF USE INH ONCE "
      TRSKMJMO = "C33ab(T)   THINK PEOPLE RISK HARM IF USE MJ MONTHLY "
      TRSKMJOC = "C33aa(T)   THINK PEOPLE RISK HARM IF USE MJ ONCE "
      TTLKPROB = "C37(T)   HOW HARD TO TALK TO PARENTS ABOUT DRUGS "
      TUSEMAG  = "D9e(T)   SEEN DRUG-USE STORY RE KID IN MAGAZINE "
      TUSEMOV  = "D9d(T)   SEEN DRUG-USE STORY RE KID IN MOVIE "
      TUSETVM  = "D9b(T)   SEEN DRUG-USE STORY RE KID ON TV MOVIE "
      TUSETVN  = "D9a(T)   SEEN DRUG-USE STORY RE KID ON TV NEWS "
      TUSETVT  = "D9c(T)   SEEN DRUG-USE RE KID ON TV TALK SHOW "
      TVRADIO  = "D10(T,C)   TV AND RADIO AT LEAST WEEKLY "
      TVSTSITE = "D30(T)   WEB SITE RE DRUG USE IN LAST 6 MONTHS "
      TWEBAVD  = "D31a(T)   WEB SITE TELL HOW TO AVOID DRUGS "
      TWEBBAD  = "D31b(T)   WEB SITE TELL BAD THINGS ABOUT DRUGS "
      TWEBGOOD = "D31d(T)   WEB SITE TELL GOOD THINGS ABOUT DRUGS "
      TWEBUSE  = "D31c(T)   WEB SITE TELL HOW TO USE DRUGS "
      TWKDYRAD = "A21(T)   HOURS LISTEN TO RADIO ON AVERAGE WEEKDAY "
      TWKNDRAD = "A22(T)   HOURS LISTEN TO RADIO ON AVERAGE WEEKEND "
      URBANITY = "URBAN AREA (FROM CENSUS FILE) "
      VISITANT = "D27(T), D30(T), D31(T)   VISITED ANTI-DRUG INTERNET SITES "
      VISITPRO = "D27(T), D30(T), D31(T)   VISITED PRO-DRUG INTERNET SITES "
      WEIGHT   = "NAT YOUTH RAKED FULL-SAMPLE WEIGHT "
      WORSESCU = "C3b(T)   REG MARIJUANA USE: WORSE IN SCHOOL "
      Y1MEDIA  = "D9(T)   EXPOSED WEEKLY IN AT LEAST 1 MEDIA "
      YALLPLAT = "TOTAL TV AD EXPOSURE SCORE "
      YCIGAD   = "D3(T,C)   FREQ SEEN ANTI-CIG ADS IN LAST 6 MONTHS "
      YFAMARGU = "C36c(T), C30c(C)   FOUGHT OR ARGUED WITH PARENT IN LAST 30 DAYS "
      YFAMENJ  = "C36a(T), C30a(C)   ENJOYED BEING WITH PARENTS LAST 30 DAYS "
      YFAMTGTH = "C36b(T), C30b(C)   FEELING OF TOGETHERNESS IN FAMILY IN LAST 30D "
      YFRNCIG  = "C31d(T), C25d(C)   SPENT TIME WITH FRIENDS WHO SMOKE CIGARETTES "
      YFRNFGHT = "C31b(T), C25b(C)   SPENT TIME WITH FRIENDS WHO FIGHT "
      YFRNHANG = "C30(T), C24(C)   HOW OFTEN WITH FRIENDS UNSUPERVISED "
      YFRNTAKE = "C31c(T), C25c(C)   SPENT TIME WITH FRIENDS WHO TAKE THINGS "
      YFRNTALK = "D7(T,C)   TALKED TO FRIENDS RE DRUGS IN LAST 6 MONTHS "
      YFRNTRBL = "C31a(T), C25a(C)   SPENT TIME WITH FRIENDS IN TROUBLE "
      YGEI     = "TOTAL GENERAL ANTI-DRUG AD EXPOSURE SCORE "
      YGEIORD  = "GENERAL EXPOSURE INDEX "
      YGEIORD3 = "GENERAL EXPOSURE INDEX 3-LEVEL "
      YINAGE   = "B18(T,C)   AGE WHEN 1ST USED INHALANT "
      YINEVER  = "B17(T,C)   EVER USED INHALANT "
      YINLAST  = "B19(T,C)   HOW LONG SINCE LAST USED INHALANT "
      YINOC    = "C15(T), C11(C)   USE INHALANTS OCCAS OVER NEXT 12 MONTHS "
      YINOCAP  = "C33c(T), C27c(C)   APPROVE OF PEOPLE TRYING INH ONCE "
      YLKEXCIT = "C34d(T), C28d(C)   PREFER FRIENDS WHO ARE EXCITING "
      YLKEXPER = "C34c(T), C28c(C)   LIKE NEW AND EXCITING EXPERIENCES "
      YLKEXPLR = "C34a(T), C28a(C)   LIKE TO EXPLORE STRANGE PLACES "
      YLKFRGHT = "C34b(T), C28b(C)   LIKE TO DO FRIGHTENING THINGS "
      YMEANEVL = "MEAN TV AD EVALUATION SCALE SCORE "
      YMJ12M   = "B14(T), B15(C)   FREQ USED MARIJUANA IN LAST 12 MONTHS "
      YMJAGE   = "B12(T), B13(C)   AGE WHEN FIRST USED MARIJUANA "
      YMJBADTR = "C4a(T), C3(C)   USE MJ OCCAS OVER NEXT 12 MONTHS BAD "
      YMJEVER  = "B11(T), B12(C)   EVER USED MARIJUANA "
      YMJFRNTR = "C7a(T), C5(C)   HOW CLOSE FRIENDS FEEL IF USE MJ OCCAS "
      YMJFUSTR = "C10a(T), C8(C)   FRIENDS USED MJ OCCAS IN LAST 12 MONTHS "
      YMJLAST  = "B13(T), B14(C)   HOW LONG SINCE LAST USED MARIJUANA "
      YMJOCAP  = "C33a(T), C27a(C)   APPROVE OF PEOPLE TRYING MJ ONCE "
      YMJPARTR = "C8a(T), C6(C)   HOW PARENTS FEEL IF USE MJ OCCAS "
      YMOVIE   = "D12(T,C)   SEEN ANTI-DRUG AD IN MOVIE OR VIDEO "
      YNONUSER = "B11(T,C), B12(C)   MARIJUANA NON-USER "
      YOCCUSER = "B13(T), B14(T,C), B15(C)   MJ OCCASIONAL USER LAST 12 MONTHS "
      YPAPMAG  = "D11(T,C)   SEEN ANTI-DRUG AD IN NEWSPAPER OR MAGAZINE "
      YPARDOES = "C35a(T), C29a(C)   PARENTS KNOW WHAT DOING WHEN AWAY "
      YPARPLAN = "C35b(T), C29b(C)   PARENTS KNOWS PLANS FOR NEXT DAY "
      YPUBLIC  = "D13(T,C)   SEEN PUBLIC ANTI-DRUG AD "
      YRAEI    = "RECALL-AIDED EXPOSURE INDEX "
      YRAEI3   = "RECALL-AIDED EXPOSURE INDEX 3-LEVEL "
      YTLKQUES = "D38a(T), D37a(C)   TALK W/ ANYONE RE QUESTIONNAIRE PREVIOUSLY "
      YTYPE    = "QUESTIONNAIRE TYPE "
      YWANTFRN = "C27b(T), C21b(C)   DO WHAT FRIENDS WANT IN TERMS OF DRUGS "
      YWANTPAR = "C27a(T), C21a(C)   DO WHAT PARENTS WANT IN TERMS OF DRUGS "
      YWKDYTV  = "A19(T), A11(C)   HOURS WATCH TV ON AVERAGE WEEKDAY "
      YWKNDTV  = "A20(T), A12(C)   HOURS WATCH TV ON AVERAGE WEEKEND "
    ;

    format 
       AGEGROUP  AGEGROUP.  

       ALC12M    ALC12M.  

       ALC30D    ALC30D.  

       AVGRADES  AVGRADES.  

       YGEIORD3  GEIORD3f.  

       YGEIORD   GEIORDf.  

       GENDER2   GenderF.  

       INCOME    INCOME.  

       CTALKING
       NRAPLAY
       NRADOK    MOnlyR.  

       PRACTICY  MonlyR.  

       EXPMISS   NO0YES1F.  

       FUTTECH
       FUTARMED
       FUTCOL2Y
       FUTCOL4Y
       FUTGRAD
       OCCEXPEC
       CIGEVER
       CIGUSE
       ALCEVER
       ALCUSAGE
       YNONUSER
       MJMONTH
       MJYEAR
       MJREG
       YOCCUSER
       INEVER
       INYEAR
       INMONTH
       INREG
       INH_OCC
       NOINTRG
       BRAINDMU
       MESSLIFU
       WORSESCU
       MORALU
       AMBITONU
       RESPECTU
       FDISAPRU
       PDISAPR2
       PDISAPRU
       MJFUSU
       MJOFADL
       MJOFFRN
       MJOFKID
       MJOFSIB
       OFFERED1
       OFFEREDN
       PARTALKN
       DRUGUSE
       HOWTO
       INTROUBL
       RULEEXP
       BOTHTALK
       FRNAWAY
       FRNBAD
       FRNMJOK
       ANYWEEKL
       Y1MEDIA
       TVRADIO
       ADTALKO
       ADTALKP
       VISITANT
       VISITPRO
       CLASEV
       TALKDRUG
       PCONVER1
       PCONVER2
       PCONVER3
       PCONVER4  NO0YES1R.  

       DUALPAR   NO0YES1r.  

       PEDUC     PEDUCf.  

       RACEETH   RACEETH.  

       YRAEI3    RAEI3f.  

       YRAEI     RAEIf.  

       NTVPLAY
       NTVOK     RDNonlyF.  

       RELGIMPT  RELGF.  

       RISKSCR   RISKSCRf.  

       SENSEEKM  SENSEEKf.  

       CMJOCPOP
       CMJOCHRD
       CMJOCUPS
       CMJOCREG
       CMJOCSPD
       CMJOCGTM
       CMJOCLAZ
       CMJOCSCL
       CINOCHK
       CINOCKIL  TE_15F.  

       YMJBADTR
       TMJBADRG
       TMJBADAL  TE_175F.  

       TMJENJTR
       TMJENJRG
       TMJENJAL  TE_176F.  

       YWANTPAR
       YWANTFRN
       YLKEXPLR
       YLKFRGHT
       YLKEXPER
       YLKEXCIT  TE_23F.  

       YMJOCAP
       TMJMOAP
       YINOCAP
       TINMOAP
       TMTHOCAP
       TESCOCAP
       THEROCAP  TE_24F.  

       TMJIMPTR
       YMJFRNTR
       YMJPARTR
       TMJIMPRG
       TMJIMPAL
       TMJFRNRG
       TMJFRNAL
       TMJPARRG
       TMJPARAL
       TECSF     TE_24f.  

       YMJLAST
       YINLAST
       TPARLECS  TE_26F.  

       YCIGAD    TE_279F.  

       TUSETVN
       TUSETVM
       TUSETVT
       TUSEMOV
       TUSEMAG   TE_27F.  

       TMJPARTY
       TMJFRN
       TMJALONE
       TMJSCHL
       TMJHANG   TE_28F.  

       YPAPMAG
       YPUBLIC   TE_29F.  

       YWKDYTV
       TWKDYRAD  TE_31F.  

       YFRNTRBL
       YFRNFGHT
       YFRNTAKE
       YFRNCIG   TE_34F.  

       TLAWFIGH
       TLAWTAKE
       TLAWDMGE  TE_39F.  

       YMOVIE    TE_3F.  

       TPARKNOW
       TPARPNSH  TE_40F.  

       YMJ12M
       TIN12M    TE_43F.  

       TMJOF30D  TE_44F.  

       YWKNDTV
       TWKNDRAD  TE_46F.  

       TREADMAG
       TNET12M   TE_47F.  

       YFRNHANG  TE_48F.  

       YPARDOES
       YPARPLAN  TE_56F.  

       TMJUPSTR
       TMJLAWTR
       TMJCRLTR
       TMJSTRTR
       TMJRLXTR
       TMJGTMTR
       TMJBTRTR
       TMJCLTR
       TMJDMGRG
       TMJDMGAL
       TMJLIFRG
       TMJLIFAL
       TMJSCLRG
       TMJSCLAL
       TMJBLFRG
       TMJBLFAL
       TMJAMBRG
       TMJAMBAL
       TMJRSPRG
       TMJRSPAL
       TMJGTMRG
       TMJGTMAL
       TMJIMGRG
       TMJIMGAL  TE_75F.  

       TMJOC
       TMJMO
       YINOC
       TINMO
       TECSOT    TE_82F.  

       TRSKMJOC
       TRSKMJMO
       TRSKINOC
       TRSKINMO
       TRSKECOT  TE_86F.  

       YMJFUSTR
       TMJFUSRG
       TMJFUSAL
       TMJOCKID
       TMJMOKID
       CINFUSTR  TE_8F.  

       YFRNTALK  TE_92F.  

       TTLKPROB  TE_94F.  

       YFAMENJ
       YFAMTGTH
       YFAMARGU  TE_96F.  

       TMTV30D
       TESPN30D  TE_97F.  

       TIN10AGE  TIN10AGE.  

       URBANITY  UrbanF.  

       CMJHEAR
       YMJEVER
       TMJ10T
       CINHEAR
       YINEVER
       TIN10T
       TPARUECS
       TFRNDRUG
       TFRNMJOK
       TFRNAWAY
       TFRNBAD
       TVSTSITE
       TWEBAVD
       TWEBBAD
       TWEBUSE
       TWEBGOOD
       YTLKQUES  YES1NO2f.  

       YTYPE     YTypeF.  

       YMJAGE
       TMJ10AGE
       YINAGE    ageDR.  

       ROUND     roundf.  
    ;

    array numvar(*) _numeric_ ;
  
    *Map numeric missing values ;
    do i = 1 to dim (numvar) ;
      if      numvar(i) = -6 then numvar(i) = .M ;
      else if numvar(i) = -7 then numvar(i) = .N ; 
      else if numvar(i) = -8 then numvar(i) = .D ; 
      else if numvar(i) = -9 then numvar(i) = .R ;
    end;
  run ;
%MEND PUF ; 

%PUF (rn = 1) ;
%PUF (rn = 2) ;
%PUF (rn = 3) ;

